module Gamifier
  module DSL
    class ApiKey
      attr_reader :source

      def initialize(*args)
        @source = ::Gamifier::ApiKey.new(*args)
      end

      def engine
        source.engine
      end

      def method_missing(*args, &block)
        source.send(*args, &block)
      end
    end
  end
end
