require 'gamifier/model'

module Gamifier
  class ApiKey < Model
    def engine
      raise ArgumentError, "You must specify an enterprise key" unless Gamifier.config[:enterprise_key]
      @engine ||= Gamifier::Engine.new(:key => Gamifier.config[:enterprise_key])
    end
  end
end
